﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Cmdjy.Dal.Tables
{
    /// <summary>
    /// 医疗机构信息
    /// </summary>
    [Table("HospitalInfo")]
    public class HospitalInfo
    {
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// 医疗机构代码
        /// </summary>
        public string HosCode { get; set; }
        /// <summary>
        /// 医疗机构名称
        /// </summary>
        public string HosName { get; set; }
        /// <summary>
        /// 医疗机构代煎药联系电话
        /// </summary>
        public string HosPhone { get; set; }
        /// <summary>
        /// 医疗机构地址
        /// </summary>
        public string HosAddress { get; set; }
        /// <summary>
        /// 前置机地址
        /// </summary>
        public string FrontAddress { get; set; }
        /// <summary>
        /// 记录状态
        /// </summary>
        public HospitalInfoStatus Status { get; set; }
    }
    /// <summary>
    /// 记录状态
    /// </summary>
    [Flags]
    public enum HospitalInfoStatus
    {
        /// <summary>
        /// 无效
        /// </summary>
        Disable = 0,
        /// <summary>
        /// 有效
        /// </summary>
        Enable = 1,
    }
}