﻿using System.Data.Entity;
using CmdjyHisFront.Dal.Tables;

namespace CmdjyHisFront.Dal
{
    /// <summary>
    /// HIS前置机数据库
    /// </summary>
    public partial class HisFrontDbContext:DbContext
    {
        public HisFrontDbContext() : base("HisFrontDbContext") {
            this.Database.CreateIfNotExists();
        }
    }

    partial class HisFrontDbContext
    {
        /// <summary>
        /// 处方信息
        /// </summary>
        public DbSet<DjyPrescriptionInfo> PrescriptionInfo { get; set; }
        /// <summary>
        /// 药品信息
        /// </summary>
        public DbSet<DjyDrugInfo> DrugInfo { get; set; }
        /// <summary>
        /// 处方上传记录
        /// </summary>
        public DbSet<DjyPrescriptionInfoLog> PrescriptionInfoLogs { get; set; }
        /// <summary>
        /// 药品上传记录
        /// </summary>
        public DbSet<DjyDrugInfoLog> DrugInfoLogs { get; set; }
    }
}